Bug 682410 - ICE: in simplify_subreg, at simplify-rtx.c:5222
Summary: ICE: in simplify_subreg, at simplify-rtx.c:5222
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 15
Hardware: s390x
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-05 09:16 UTC by Dan Horák
Modified: 2011-03-18 03:51 UTC (History)
1 user (show)

Fixed In Version: gcc-4.6.0-0.13.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-18 03:51:52 UTC


Attachments (Terms of Use)
preprocessed source (61.80 KB, application/octet-stream)
2011-03-05 09:16 UTC, Dan Horák
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 47991 None None None Never

Description Dan Horák 2011-03-05 09:16:21 UTC
Created attachment 482423 [details]
preprocessed source

build of xulrunner-2.0-0.25.b12.fc15 fails on s390x with 

gcc -o yv12extend.o -c -fvisibility=hidden -DHAVE_CONFIG_H=vpx_config.h -DOSTYPE=\"Linux2.6.35.11-83.fc14\" -DOSARCH=Linux -I. -I../../media/libvpx -I../../media/libvpx/vp8/ -I../../media/libvpx/vp8/common/ -I../../media/libvpx/vp8/common/arm -I../../media/libvpx/vp8/common/x86 -I../../media/libvpx/vp8/decoder -I../../media/libvpx/vp8/decoder/arm -I../../media/libvpx/vp8/decoder/x86 -I../../media/libvpx/vpx_codec -I../../media/libvpx/vpx_mem/ -I../../media/libvpx/vpx_mem/include -I../../media/libvpx/vpx_ports/ -I../../media/libvpx/vpx_scale/  -I. -I. -I../../dist/include -I../../dist/include/nsprpub  -I/usr/include/nspr4 -I/usr/include/nss3       -fPIC  -Wall -W -Wno-unused -Wpointer-arith -Wcast-align -W -pedantic -Wno-long-long -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fno-exceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -march=z9-109 -mtune=z10 -fpermissive -fno-strict-aliasing -pthread -pipe  -DNDEBUG -DTRIMMED -Os -freorder-blocks -fomit-frame-pointer    -include ../../mozilla-config.h -DMOZILLA_CLIENT -MD -MF .deps/yv12extend.pp ./vpx_scale/generic/yv12extend.c
cc1: warning: command line option '-fpermissive' is valid for C++/ObjC++ but not for C [enabled by default]
cc1: warning: command line option '-fpermissive' is valid for C++/ObjC++ but not for C [enabled by default]
./vpx_scale/generic/yv12extend.c: In function 'vp8_yv12_extend_frame_borders':
./vpx_scale/generic/yv12extend.c:145:1: internal compiler error: in simplify_subreg, at simplify-rtx.c:5222
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cchEJz8j.out file, please attach this to your bugreport.

gcc version 4.6.0 20110301 (Red Hat 4.6.0-0.11) (GCC)

Comment 1 Dan Horák 2011-03-05 10:00:03 UTC
the ICE doesn't appear on s390

Comment 2 Fedora Update System 2011-03-15 21:03:14 UTC
gcc-4.6.0-0.13.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gcc-4.6.0-0.13.fc15

Comment 3 Fedora Update System 2011-03-18 03:51:47 UTC
gcc-4.6.0-0.13.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.